com.mxgraph.io

## Class mxModelCodec

- java.lang.Object
- - com.mxgraph.io.mxObjectCodec
  - - com.mxgraph.io.mxModelCodec

-     public class mxModelCodec
      extends mxObjectCodec

  Codec for mxGraphModels. This class is created and registered dynamically at load time and used implicitly via mxCodec and the mxCodecRegistry.

- - ### Field Summary

    - ### Fields inherited from class com.mxgraph.io.mxObjectCodec

      `accessors, exclude, fields, idrefs, mapping, reverse, template`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxModelCodec()` Constructs a new model codec.
    `mxModelCodec(java.lang.Object template)` Constructs a new model codec for the given template.
    `mxModelCodec(java.lang.Object template, java.lang.String[] exclude, java.lang.String[] idrefs, java.util.Map<java.lang.String,java.lang.String> mapping)` Constructs a new model codec for the given arguments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `beforeDecode(mxCodec dec, org.w3c.dom.Node node, java.lang.Object into)` Reads the cells into the graph model.
    `protected void` | `encodeObject(mxCodec enc, java.lang.Object obj, org.w3c.dom.Node node)` Encodes the given mxGraphModel by writing a (flat) XML sequence of cell nodes as produced by the mxCellCodec.

    - ### Methods inherited from class com.mxgraph.io.mxObjectCodec

      `addObjectValue, afterDecode, afterEncode, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encode, encodeElements, encodeFields, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldTemplate, getFieldValue, getFieldValueWithAccessor, getMethod, getName, getTemplate, isExcluded, isPrimitiveValue, isReference, processInclude, setFieldValue, setFieldValueWithAccessor, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### mxModelCodec

          public mxModelCodec()

      Constructs a new model codec.

    - #### mxModelCodec

          public mxModelCodec(java.lang.Object template)

      Constructs a new model codec for the given template.

    - #### mxModelCodec

          public mxModelCodec(java.lang.Object template,
                      java.lang.String[] exclude,
                      java.lang.String[] idrefs,
                      java.util.Map<java.lang.String,java.lang.String> mapping)

      Constructs a new model codec for the given arguments.

  - ### Method Detail

    - #### encodeObject

          protected void encodeObject(mxCodec enc,
                          java.lang.Object obj,
                          org.w3c.dom.Node node)

      Encodes the given mxGraphModel by writing a (flat) XML sequence of cell nodes as produced by the mxCellCodec. The sequence is wrapped-up in a node with the name root.
      Overrides:
        `encodeObject` in class `mxObjectCodec`
      Parameters:
        `enc` - Codec that controls the encoding process.
        `obj` - Object to be encoded.
        `node` - XML node that contains the encoded object.

    - #### beforeDecode

          public org.w3c.dom.Node beforeDecode(mxCodec dec,
                                      org.w3c.dom.Node node,
                                      java.lang.Object into)

      Reads the cells into the graph model. All cells are children of the root element in the node.
      Overrides:
        `beforeDecode` in class `mxObjectCodec`
      Parameters:
        `dec` - Codec that controls the decoding process.
        `node` - XML node to be decoded.
        `into` - Object to encode the node into.
      Returns:
        Returns the node used for the default decoding.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.